Bug 869617 - regression: gnome-shell rendering artifacts - disappearing parts of windows
regression: gnome-shell rendering artifacts - disappearing parts of windows
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 08:33 EDT by Alon Levy
Modified: 2014-08-04 18:09 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:41:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
first image - change rapidly between consecutive images to see the artifacts (1.18 MB, image/png)
2012-10-24 08:33 EDT, Alon Levy
no flags Details
second image (1.24 MB, image/png)
2012-10-24 08:35 EDT, Alon Levy
no flags Details
third image (1.10 MB, image/png)
2012-10-24 08:37 EDT, Alon Levy
no flags Details
fourth image (480.33 KB, image/png)
2012-10-24 08:38 EDT, Alon Levy
no flags Details
fifth image (472.05 KB, image/png)
2012-10-24 08:39 EDT, Alon Levy
no flags Details
sixth image (497.22 KB, image/png)
2012-10-24 08:39 EDT, Alon Levy
no flags Details

  None (edit)
Description Alon Levy 2012-10-24 08:33:29 EDT
Created attachment 632750 [details]
first image - change rapidly between consecutive images to see the artifacts

Description of problem:
I apologize for the vague description, I hope the attached screenshots can help pinpoint my problem. I am seeing this mainly with firefox, but also with other apps (I think gnome-terminal as well). It appears intermittently: after a change of a page some parts of the window will be invisible, or filled with black (as though the font was totally white with alpha of 1, or totally black - maybe this is a font is sue). forcing a rerendering (maximize, change size, reload) solves this immediately or eventually. Sometimes it appears as flickering - like just writing this bug report, the last sentence will disappear and reappear.

Version-Release number of selected component (if applicable):
gnome-shell-3.6.1-3.fc18.x86_64
xorg-x11-drv-intel-2.20.10-2.fc18.x86_64
mesa-dri-drivers-9.0-1.fc18.x86_64

How reproducible:
It happens all the time but I don't have a recipe. This seems to work not bad:

Steps to Reproduce:
1. open a text box in firefox
2. type text
3.
  
Actual results:
Sometimes you will see flickering

Expected results:
No flickering

Additional info:
I am using two monitors, builtin lcd panel of my T510 laptop and an external VGA connected LCD. xrandr:
Screen 0: minimum 320 x 200, current 3520 x 1080, maximum 8192 x 8192
LVDS1 connected 1600x900+0+180 (normal left inverted right x axis y axis) 344mm x 193mm
   1600x900       60.2*+   50.0  
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        59.9  
VGA1 connected 1920x1080+1600+0 (normal left inverted right x axis y axis) 520mm x 290mm
   1920x1080      60.0*+
   1600x1200      65.0     60.0  
   1680x1050      74.9     60.0  
   1680x945       60.0  
   1400x1050      74.9     60.0  
   1600x900       60.0  
   1280x1024      75.0     60.0  
   1440x900       75.0     59.9  
   1280x960       60.0  
   1366x768       60.0  
   1360x768       60.0  
   1280x800       74.9     59.8  
   1152x864       75.0  
   1280x768       74.9     59.9  
   1024x768       75.1     70.1     60.0  
   1024x576       60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   848x480        60.0  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
HDMI1 disconnected (normal left inverted right x axis y axis)
DP1 disconnected (normal left inverted right x axis y axis)
HDMI2 disconnected (normal left inverted right x axis y axis)
HDMI3 disconnected (normal left inverted right x axis y axis)
DP2 disconnected (normal left inverted right x axis y axis)
DP3 disconnected (normal left inverted right x axis y axis)

(perhaps it wouldn't happen with lower resolutions, some sort of texture memory exhaustion?)

Nothing unusual in /var/log/messages
Nothing unusual in /var/log/Xorg.0.log
Nothing unusual in ~/.xsession-errors

Moving the mouse over the window also may cause it to update and either become wrongly rendered or correctly rendered.

Show I'm using intel driver:
$ sudo cat /proc/`pgrep Xorg`/maps | grep intel | tail -1
7ffe0c82f000-7ffe0c831000 rw-p 0010e000 08:04 82815894                   /usr/lib64/xorg/modules/drivers/intel_drv.so
Comment 1 Alon Levy 2012-10-24 08:35:29 EDT
Created attachment 632751 [details]
second image
Comment 2 Alon Levy 2012-10-24 08:37:15 EDT
Created attachment 632752 [details]
third image
Comment 3 Alon Levy 2012-10-24 08:38:09 EDT
Created attachment 632753 [details]
fourth image
Comment 4 Alon Levy 2012-10-24 08:39:05 EDT
Created attachment 632754 [details]
fifth image
Comment 5 Alon Levy 2012-10-24 08:39:40 EDT
Created attachment 632757 [details]
sixth image
Comment 6 Alon Levy 2012-10-24 08:40:27 EDT
I see the same with a single monitor of 1600x900 (disabled my external monitor).
Comment 7 Ohad Levy 2012-10-24 08:47:12 EDT
I can confirm the same bug on F17 with

gnome-shell-3.4.1-6.fc17.x86_64
xorg-x11-drv-intel-2.20.8-1.fc17.x86_64
mesa-dri-drivers-8.0.4-1.fc17.x86_64
Comment 8 Fedora End Of Life 2013-12-21 04:11:17 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2014-02-05 07:41:58 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.